﻿using System.Collections.Generic;
using System.Threading.Tasks;

namespace AAD_KeyVault_Certificate_Authentication.Abstractions
{
    public interface IBatchGraphProvider<TEntity>
    {
        public List<TEntity> GetCurrentPage();
        public Task InitializeAsync();
        public Task<bool> NextPageAsync();
    }
}
